/*
 * $Id: Mp3FileSourceDialogue.java,v 1.1 2003/04/14 20:03:52 stranger Exp $
 * Copyright (c) 2003-2003 business solutions AG, Hauerstrasse 12,
 * D-66299 Friedrichsthal, Germany. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of infor business solutions AG ("Confidential Information").  
 * You shall not disclose such Confidential Information and shall 
 * use it only in accordance with the terms of the license 
 * agreement you entered into with infor AG.
 */

import java.awt.Frame;
import java.io.File;
import java.util.ArrayList;

import javax.swing.JOptionPane;

import cdox.data.FileSourceDialog;

/**
 * Mp3FileSourceDialogue
 *
 * @author jung
 * @version $Revision: 1.1 $
 * @since 22.03.2003
 */
public class Mp3FileSourceDialogue extends FileSourceDialog {

   protected Mp3Data data;

   /**
    * @param parent
    */
   public Mp3FileSourceDialogue(Frame parent) {
      super(parent);
   }

   /* (non-Javadoc)
    * @see cdox.data.FileSourceDialog#createData()
    */
   protected void createData() {
      data = new Mp3Data();
      getStrings(dir.getText(), new ArrayList(), -1);
      if (data.getTracks().size() > 100) {
         if (JOptionPane
            .showConfirmDialog(
               this,
               lang.get(
                  "gdtoomuch",
                  new String[] { data.getTracks().size() + "" }))
            == JOptionPane.NO_OPTION)
            return;
      }
      data.setTitle(
         fullPath.isSelected()
            ? dir.getText()
            : new File(dir.getText()).getName());
      setVisible(false);
      dispose();
   }

   /* (non-Javadoc)
    * @see cdox.data.FileSourceDialog#processFile(java.util.ArrayList, int, java.io.File)
    */
   protected void processFile(ArrayList list, int depth, File file) {
      if(file.isDirectory()) {
		((Mp3Data) data).addDirectory(depth,file);
      } else {
		((Mp3Data) data).addFile(depth,file,this);		
      }
   }
   
   /**
    * Shows the dialog and returns the resulting data.
    *@return the data or null, if the user cancelled the dialog.
    */
   public Mp3Data showAndGetMp3Data(){
      show();
      return data;
   }

}
