import cdox.*;
import cdox.data.*;
import cdox.edit.*;
import cdox.gui.*;
import java.awt.*;
import java.io.*;
import java.text.*;
import java.util.*;
import javax.swing.*;
import org.w3c.dom.*;

/**
 * Plugin testing data class.
 *@author Rutger Bezema, Andreas Schmitz
 */
public class Plugin implements Data,CDCoverStandards{

    public boolean userFillData( Frame parent ){
	return false;
	// no
    }

    public boolean displaySearchDialog( Frame parent ){
	return false; // no
    }

    public int getSupportedVersion(){
	return 1; // no
    }

    public void storeData( org.w3c.dom.Element e ){
	// no
    }

    public void reconstruct( org.w3c.dom.Element e ){
	// no
    }

    public String getDescription(){
	return "Testing Plugin";
    }

    public void fillFront( Cover c ) throws IllegalArgumentException{
	if(c.getType()!=CDFRONT) throw new IllegalArgumentException("Wrong cover type.");
	addFrontElements(c,0,CDFRONT_SIZE[0]); // yes :)
    }

    public void fillBack( Cover c ) throws IllegalArgumentException{
	if(c.getType()!=CDBACK_SIDE) throw new IllegalArgumentException("Wrong cover type.");
    }

    public void fillBooklet( Cover c ) throws IllegalArgumentException{
	if(c.getType()!=CDBOOKLET) throw new IllegalArgumentException("Wrong cover type.");
	addFrontElements(c,CDBOOKLET_SIZE[0]/2,CDBOOKLET_SIZE[0]/2);
    }

    // just inserts one text element
    private void addFrontElements( Cover c, int left, int xsize ){
	TextPane p=new TextPane(new Point());
	p.setAttribute(new JLabel().getFont(),24,Color.BLACK,false,false,false);
	p.setText("Testing Plugin working :)");
	TextElement e;
	c.addElement(e=new TextElement(new Point(),p));
	e.setPosition(new Point(left+(xsize-e.getSize().width)/2,50));
	e.setSize(e.getSize());
    }

}
