package cdox.data;

import cdox.CDox;
import java.awt.*;
import java.io.*;
import javax.swing.*;

/**
 *<p>
 * This is a DataSource that examines a file name and extracts a film title from it.
 *</p>
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version October 11st 2002
 */
public class VideoFileSource implements DataSource{

    private VideoData data=null;

    public String getDescription(){
	return CDox.getLocalizer().get("vfstitle");
    }

    public Class getDataType(){
	return VideoData.class;
    }

    public boolean hasConfigurationDialog(){
	return true;
    }

    public void showConfigurationDialog( Frame parent ){
	JFileChooser dlg=new JFileChooser();
	if(dlg.showOpenDialog(parent)==JFileChooser.APPROVE_OPTION){
	    String s=dlg.getSelectedFile().getName();
	    String title=s.substring(0,s.indexOf("."));
	    if(s.indexOf("[")!=-1)
		title=s.substring(0,s.indexOf("["));
	    if(title.indexOf("(")!=-1)
		title=title.substring(0,title.indexOf("("));
	    if(title.toLowerCase().indexOf("dvd")!=-1)
		title=title.substring(0,title.toLowerCase().indexOf("dvd"));
	    if(title.toLowerCase().indexOf("divx")!=-1)
		title=title.substring(0,title.toLowerCase().indexOf("divx"));
	    String format=s.substring(s.lastIndexOf(".")+1,s.length());
	    data=new VideoData();
	    data.setFormat(format.trim());
	    data.setTitle(title.trim());
	}
    }

    public Data retrieveData(){
	return data;
    }

}
