package cdox.edit;

import java.awt.*;
import java.awt.event.*;

/**
 * This class rotates the static stroke `dashed' in the class Element. It should not be
 * instantiated directly, see the Element class how you rotate the border.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 22nd 2002
 * @see Element#startRotating
 * @see Element#stopRotating
 */
public class BorderRotator implements ActionListener{

    private Component component;
    private Cover cover;
    private float offset=5f;

    /**
     * Creates a new BorderRotator.
     *@param c the component whose repaint() method will be called.
     *@param cov the cover to notify it has been changed.
     */
    public BorderRotator( Component c, Cover cov ){
	cover=cov;
	component=c;
    }

    /**
     * Rotates the border one time.
     * @param e an <code>ActionEvent</code> value.
     */
    public void actionPerformed( ActionEvent e ){
	offset-=1;
	if(offset==0) offset=10;
	Element.dashed = new BasicStroke(1.0f,BasicStroke.CAP_BUTT,
				 BasicStroke.JOIN_MITER, 
				 5.0f, new float[]{5,5}, offset);
	cover.fireChanged();
	component.repaint();
    }

}
