package cdox.edit;

/**
 * An interface containing some useful constants.
 *
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 *
 * @version May 22nd 2002
 */
public interface CDCoverStandards{

    /**
     * Indicating that the type is a front side.
     *
     */
    public static final int CDFRONT = 0;

    /**
     * Indicating that the type is a booklet.
     *
     */
    public static final int CDBOOKLET = 1;

    /**
     * Indicating that the type is a back side.
     *
     */
    public static final int CDBACK_SIDE = 2;

    /**
     * The size of a front side.
     *
     */
    public static final int[] CDFRONT_SIZE ={340, 340};

    /**
     * The size of a back side.
     *
     */
    public static final int[] CDBACK_SIZE ={391, 334};

    /**
     * The size of a back side without the sides.
     *
     */
    public static final int[] CDBOOKLET_SIZE ={670, 340};

    /**
     * The size of a back side border.
     *
     */
    public static final int[] CDSIDE_SIZE ={20, 334};

    /**
     * The size of a back side with side borders.
     *
     */
    public static final int[] CDBACK_SIDE_SIZE ={431, 334};
    
    /**
     * Indicating all files.
     *
     */
    public static final int ALL=0;

    /**
     * Indicating jpeg files.
     *
     */
    public static final int JPG=1;

    /**
     * Indicating png files.
     *
     */
    public static final int PNG=2;

    /**
     * Indicating gif files.
     *
     */
    public static final int GIF=3;

    /**
     * Indication cdx files.
     *
     */
    public static final int CDX=4;

}
