package cdox.gui;

import java.awt.*;
import javax.swing.*;
/**
 * A configurable popup menu class.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 16th 2002 
 */
public class ContextPopupMenu extends JPopupMenu{

    /**
     * Constructs a popup, defined by the given array of Actions. If an Action (not
     * Action[0]) is null a Separator is added to the popup-menu. If Action[0] is null
     * than the editMenu should not be null, for it is added to the popup at first place.
     * @param title the title.
     * @param comp the component on which to show the menu.
     * @param x the x coordinate where to show.
     * @param y the y coordinate where to show.
     * @param actions which actions to add to the popup menu. If an entry is null, a
     * separator will be inserted.
     * @param editMenu the editImage fileMenu to add to this popup
     */
    public ContextPopupMenu(String title, Component comp, int x, int y
			    , Action[] actions, JMenu editMenu){
	super(title);
	for(int i = 0; i<actions.length; i++){
	    JMenuItem item = null;
	    if(actions[i]==null) {
		if(i==0)
		    add(editMenu);
		else
		    addSeparator();
	    }
	    else{
		item=add(actions[i]);
		item.setIcon(null);
	    }
	}
	show(comp, x, y);
    }
}
