package cdox.gui.action;

import cdox.*;
import cdox.edit.*;
import cdox.gui.*;
import cdox.gui.undo.*;
import cdox.util.*;
import cdox.util.conf.*;
import cdox.util.image.*;
import java.awt.*;
import java.awt.datatransfer.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.*;
import javax.swing.*;

    
/**
 * This class handles the EditBildActions EditBildActions are just in the popupMenu when
 * rightclicked on an image-element.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 16th 2002
 */
public class EditBildAction extends CDoxAction{
    private Localizer lang = CDox.getLocalizer();
    
    /**
     * The EditBildAction Constructor stores an Image(if available) and a ToolTip(if available).
     *@param cF the CDoxFrame.
     *@param name A String representing the EditAction's name.
     *@param tooltip A String representing the EditAction's toolTip.
     */
    public EditBildAction(CDoxFrame cF, String name, String tooltip) {
	super(cF,CDox.getLocalizer().get(name),tooltip); 
    }

    /**
     *This Method handles all the EditBildActions. It if's the name of the EditBildActions.
     *@param ae an ActionEvent generated by a pressed toolBar Button or a selected EditmenuItem.
     */
    public void actionPerformed(ActionEvent ae){
	cFrame.setWorking(true);
	String name = (String)getValue(NAME);
	Clipboard clip=Toolkit.getDefaultToolkit().getSystemClipboard();
	int key = -1;
	if(name.equals(lang.get("editbildbcg"))){
	    key=ImageDialog.BRIGHTNESS_CONTRAST_GAMMA;
	}
	else if(name.equals(lang.get("editbildsharpen"))){
	    key=ImageDialog.SHARPEN;
	}
	else if(name.equals(lang.get("editbildsoften"))){
	    key=ImageDialog.BLUR;
	}
	cdox.edit.Element e = cFrame.getEditPane().getDrawingPane().getCover().getSelectedElement();
	if((e!=null) && (e instanceof ImageElement)){
	    e.setQuality(true);
	    ImageDialog imgDialog = new ImageDialog(cFrame, (ImageElement)e, key);
	    e.setQuality(false);
	}
	else if (e==null){
	    Cover c = cFrame.getEditPane().getDrawingPane().getCover();
	
	    ImageDialog imgDialog = new ImageDialog
		(cFrame, 
		 c.getBackgroundImage(), 
		 c,
		 key);
	    //and save the momory of the background image.

	}
	//the working icon is reseted in the ImageDialog in the run method.
    }

}
