package cdox.gui.action;

import cdox.*;
import cdox.gui.*;
import cdox.util.*;
import cdox.util.conf.*;
import java.awt.event.*;
import java.util.*;
import java.util.prefs.*;
import javax.swing.*;
    
/**
 * This is an inner Class from CDoxFrame, which handles the HelpActions.
 * HelpActions are both in the toolBar and in the HelpMenu "Help".
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 16th 2002
 */
public class HelpAction extends CDoxAction{

    //fr die language dateien
    private Localizer lang=CDox.getLocalizer();

    /**
     * The HelpAction Constructor stores an Image(if available) and a ToolTip(if available).
     *@param cF the CDoxFrame.
     *@param name A String representing the HelpAction's name.
     *@param tooltip A String representing the HelpAction's toolTip.
     */
    public HelpAction(CDoxFrame cF,String name, String tooltip) {
	super(cF,CDox.getLocalizer().get(name),tooltip);
    }

    /**
     *This Method handles all the ControlActions. It if's the name of the ControlAction.
     *@param e an ActionEvent generated by a pressed toolBar Button or a selected ControlmenuItem.
     */
    public void actionPerformed(ActionEvent e){
	//Aktionen fr ControlMenu
	String name = (String)getValue(NAME);
	//---------------ITS A HELP ACION ---------------
	if(name.equals(lang.get("help"))){
	    if(menuItem==null)
		CDox.documentation.displayDocumentationFor("popupmenu",lang.getLanguageCode());
	    else CDox.documentation.displayDocumentationFor
		     ("intro",Preferences.userNodeForPackage(CDox.class).
		      get("language",Locale.getDefault().getLanguage()));
	}

	//---------------ITS An ABOUT  ACTION---------------
	else if(name.equals(lang.get("about"))){
	    new AboutDialog(cFrame, lang.get("aboutdialogtitle"));
	}
    }
}
