package cdox.util.conf;

/**
 * Implementing this interface will enable the class to be configured in an easy way. Once
 * the configuration is read (by instanciating the ConfigurationDialog) you can easily
 * configure your objects by calling the configure method in ConfigurationDialog. You must
 * simply map your Configurable objects by their name in the configuration XML file in the
 * HashMap you give configure() as parameter.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 22nd 2002
 * @see ConfigurationDialog#configure
 */
public interface Configurable{

    /**
     * This method will be called to configure the object.
     *@param o the object containing the configuration.
     */
    public void configure( Object o );

}
