package cdox.util.image;

import java.awt.image.BufferedImage;
import javax.swing.JSlider;
/**
 *This interface represents the corrections on an Image.
 *Classes who implent this interface for example gamma, should 
 *do their actions in the filter-method.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 22nd 2002
 */
public interface ImageCorrector{
    /**
     * Does a transformation on the source-bufferedImage and returns the
     *destination BufferedImage. The Destination image may be null, if so
     *a new bufferedImage is created.
     * @param source a <code>BufferedImage</code> value indicating the source image.
     * @param dest a <code>BufferedImage</code> value indicating the destination image.
     * @return the destination image.
     */
    public BufferedImage filter(BufferedImage source, BufferedImage dest);
    
    /**
     *Returns the current slider-value.
     *@return the current slider-value.
     */
    public int getValue(); 
}
